<?php get_header(); ?>

<div id="mainContent">

    <?php if (have_posts()) : ?>

    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    <?php /* If this is a category archive */ if (is_category()) { ?>
    <h3 class="pagetitle"><?php single_cat_title(); ?></h3>
    <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
    <h3 class="pagetitle">Posts Tagged: <?php single_tag_title(); ?></h3>
    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
    <h3 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h3>
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
    <h3 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h3>
    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
    <h3 class="pagetitle">Archive for <?php the_time('Y'); ?></h3>
    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
    <h3 class="pagetitle">Author Archive</h3>
    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
    <h3 class="pagetitle">Blog Archives</h3>
    <?php } ?>


<?php while (have_posts()) : the_post(); ?>

<div class="post">
<h2 class="postTitles"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title; ?>"><?php the_title(); ?></a></h2>
<div class="clear"></div>
<div class="the_content"><?php the_content('Read more &raquo;'); ?></div>
</div><!--post-->
<div class="clear"></div>
<br />
<br />

        
        <ul class="article_footer">
        <li><?php the_time('F jS, Y') ?></li>
		<?php the_tags('<li>Tags: ', ', ', '', '');?> Filed under: <?php the_category(', ') ?></li>
        <?php edit_post_link('Edit', '<li>', '</li>'); ?>
          <li class="last"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></li>
        </ul>
        

    <?php endwhile; ?>

    <div class="navigation">
      <div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
      <div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
    </div>

  <?php else : ?>

    <h2 class="center">Not Found</h2>
    <?php include (TEMPLATEPATH . '/searchform.php'); ?>

  <?php endif; ?>

</div><!--mainContent-->

<?php get_sidebar(); ?>

<?php get_footer(); ?>
